<div class="container-fluid">
  <div class="row">
    <div class="col-lg-3"></div>
    <div class="col-lg-4" style="margin-top: -1%">
      <div class="form-check form-check-inline">
        <input class="form-check-input" value="all" [(ngModel)]="radioValue" type="radio" name="exampleRadios" id="exampleRadios0">
        <label class="form-check-label" for="exampleRadios0">
          All
        </label>
      </div>
      <div class="form-check form-check-inline">
        <input class="form-check-input" value="fields" [(ngModel)]="radioValue" type="radio" name="exampleRadios" id="exampleRadios1">
        <label class="form-check-label" for="exampleRadios1">
          By fields
        </label>
      </div>
      <div class="form-check form-check-inline">
        <input class="form-check-input" value="moreLikeThis" [(ngModel)]="radioValue" type="radio" name="exampleRadios" id="exampleRadios2">
        <label class="form-check-label" for="exampleRadios2">
          More like this
        </label>
      </div>
      <div class="form-check form-check-inline">
        <input class="form-check-input" value="geo" type="radio" [(ngModel)]="radioValue" name="exampleRadios" id="exampleRadios3">
        <label class="form-check-label" for="exampleRadios3">
          Geo search
        </label>
      </div>
    </div>
    <div class="col-lg-1" style="margin-top: -1%">
      <button class="btn btn-info"  (click)="filter()">Filter</button>
    </div>
    <div class="col-lg-2" style="margin-top: -1%" *ngIf="allReviewers.length<2 && task.name!='Odabir recenzenata glavni editor'">
      <button class="btn btn-danger"  (click)="none()">There are none</button>
    </div>
    <div class="col-lg-1" style="margin-top: -1%">
      <button class="btn btn-success"  (click)="choose()">Choose</button>
    </div>
  </div>
  <div class="row" style="margin-top: 1%">
    <div class="col-lg-1"></div>
    <div class="col-lg-3">Duration of reviewing</div>
    <div class="col-lg-7" style="margin-left: 1%">
      <div class="row">
        Seconds: <input class="form-control" [(ngModel)]="seconds" placeholder="S" style="width: 10%; margin-left: 1%; margin-right: 1%;">
        Minutes: <input class="form-control" [(ngModel)]="minutes" placeholder="M" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
        Hours: <input class="form-control" [(ngModel)]="hours" placeholder="H" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
        Days: <input class="form-control" [(ngModel)]="days" placeholder="D" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
        Months: <input class="form-control" [(ngModel)]="months" placeholder="M" style="width: 10%;  margin-left: 1%; margin-right: 1%;">
      </div>
    </div>
  </div>
  <div class="row" *ngIf="allReviewers.length == 0 && justLoaded">
    <div class="col-lg-1"></div>
    <div class="col-lg-3">
      <h5>No reviewers found!</h5>
    </div>
  </div>
  <div class="row" *ngIf="allReviewers.length != 0">
    <div class="col-lg-1"></div>
    <div class="col-lg-3">
      <h5>Found reviewers:</h5>
    </div>
  </div>
  <div class="row" *ngIf="allReviewers.length != 0">
    <div class="col-lg-1"></div>
    <div class="col-lg-10">
      <table class="table table-striped table-bordered">
        <thead>
        </thead>
        <tbody>
        <tr *ngFor="let reviewer of allReviewers;">
          <td>{{reviewer.firstName}}</td>
          <td>{{reviewer.lastName}}</td>
          <td>{{reviewer.email}}</td>
          <td>{{reviewer.scienceFieldList}}</td>
          <td>
            <button type="button" class="btn btn-success btn-circle" (click)="addToChosen(reviewer)"><i class="fa fa-plus"></i></button>
          </td>
          <td>
            <button type="button" class="btn btn-danger btn-circle" (click)="remove(reviewer)"><i class="fa fa-trash"></i></button>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
    <div class="col-lg-1"></div>
  </div>
  <div class="row" *ngIf="selectedReviewers.length != 0">
    <div class="col-lg-1"></div>
    <div class="col-lg-3">
      <h5>Selected reviewers:</h5>
    </div>
  </div>
  <div class="row" *ngIf="selectedReviewers.length != 0">
    <div class="col-lg-1"></div>
    <div class="col-lg-10">
      <table class="table table-striped table-bordered">
        <thead>
        </thead>
        <tbody>
        <tr *ngFor="let reviewer of selectedReviewers;">
          <td>{{reviewer.firstName}}</td>
          <td>{{reviewer.lastName}}</td>
          <td>{{reviewer.email}}</td>
          <td>{{reviewer.scienceFieldList}}</td>
        </tr>
        </tbody>
      </table>
    </div>
    <div class="col-lg-1"></div>
  </div>
</div>
<toaster-container [toasterconfig]="toasterConfig"></toaster-container>
